Subject: Re: [yang-doctors] Yangdoctors early review of draft-ietf-rtgwg-routing-types-02

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 1 May 2017 19:11:33 +0000

Hi Martin, 

We discussed the options and decided to put the IANA related definitions
in a separate module, ietf-iana-routing-types in the same draft. This
module will contain both the AFs and the SAFIs.

Thanks,
Acee 

On 4/25/17, 4:10 PM, "Martin Bjorklund" <[email-masked]> wrote:

>Hi,
>
>I actually just read this module as well, and I was wondering about
>the 'address-family' identity.  Since it is based on an IANA registry,
>should it be in a separate IANA-maintained module, like iana-if-type
>in RFC 7224?
>
>
>/martin
>
>
>
>Radek Krejčí <[email-masked]> wrote:
>> Reviewer: Radek Krejčí
>> Review result: Ready with Nits
>> 
>> YANG module:
>> 
>> - add reference to import statements (both imports are from RFC 6021)
>> 
>> - use IETF boilerplate with contact and description with copyright
>> 
>> - cleanup unnecessary comments (such as "address-family" before the
>> address-family identity, in general those starting with // in typedefs
>> section)
>> 
>> - keep blank lines before and _after_ section comments (/*** ***/) to
>> be consistent with other ietf-*-types documents
>> 
>> - timer-multiplier - think about renaming this type. According to the
>> description, the value should be interpreted as a kind of limit or
>> threshold, multiplier is not commonly understood as kind of
>> restriction/limitation, but maybe this is just my personal feeling,
>> handle this as an input from a reader, not a YANG doctor.
>> 
>> draft:
>> 
>> - section 7.1 Normative references MUST contain references to all the
>> imported modules, so you are missing references to RFC 6021. You also
>> SHOULD/MAY add the references to the documents referenced in the
>> module (such as RFC 4360 and others) to the appropriate Reference
>> section in the draft.
>> 
>> 
>> Radek
>> 
>> _______________________________________________
>> yang-doctors mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/yang-doctors

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 1 May 2017 19:16:24 +0000

Hi Radek, 

On 4/25/17, 10:33 AM, "Radek Krejčí" <[email-masked]> wrote:

>- add reference to import statements (both imports are from RFC 6021).

Ok 

>- use IETF boilerplate with contact and description with copyright

I’m assuming you mean the 6087BIS boiler plate? If not, please provide a
link. 
>address-family identity, in general those starting with // in typedefs

Ok 
>be consistent with other ietf-*-types documents

Ok
>handle this as an input from a reader, not a YANG doctor.

We declined this. Those familiar with BFD and other routing protocols
which may use the type will not be confused.
>module (such as RFC 4360 and others) to the appropriate Reference

Will look for additional required references. We don’t want to attempt to
add references to every protocol which may use the types. These are meant
to be generic routing types.

Thanks,
Acee

---

From: Jeff Tantsura <[email-masked]>
Date: Tue, 23 May 2017 06:04:10 -0700

Hi Radek,

Could you please review the changes and comment?
Thanks!

Cheers,
Jeff
 
On 4/25/17, 07:33, "Radek Krejčí" <[email-masked]> wrote:

    Reviewer: Radek Krejčí
    
    YANG module:

    

    
    draft:

    Radek